import boto3

class STS:
    """sts class based on boto client"""

    def __init__(self):
        self.sts_client = boto3.client("sts")


    def assume_iam_role(self, role_arn: str, external_id: str) -> boto3.Session:
        account_role = self.sts_client.assume_role(
            RoleArn=role_arn,
            RoleSessionName="egotist",
            ExternalId=external_id
        )
        account_session = boto3.Session(
            aws_access_key_id=account_role['Credentials']['AccessKeyId'],
            aws_secret_access_key=account_role['Credentials']['SecretAccessKey'],
            aws_session_token=account_role['Credentials']['SessionToken']
        )

        return account_session
    
    def default_profile(self) -> boto3.Session:
        return boto3.Session()
