"""Configuration settings to be used by egotist"""

# dictionary of cluster definitions across teams
dept_stack = {
    "lambda": {},
    "iota": {
        "qa": {
            "GA": [
                "aws-as1-iota-gapub",
                "aws-aps1-iota-qapub",
                "aws-aps1-iota-qapvm",
                "aws-apse1-iota-qavps",
                "aws-aps1-iota-qasu1",
                "aws-apse1-iota-qasu2",
                "cp-aws-ap2-prvtsetup",
                "aws-as1-iota-pubqa",
                "nbcu-test",
            ],
            "regression": [
                "aws-aps1-iota-cp321",
                "aws-use1-iota-cp321",
                "aws-use2-iota-vp321",
                "aws-aps1-iota-cp323",
                "iota-vp321"
            ],
            "longhaul": ["aws-use1-iota-long", "aws-aps1-iota-cplht"],
            "nbcu": [
                "aws-use1-iota-nbcut",
                "aws-use1-iota-nbcu9",
                "aws-use1-iota-nb325",
                "aws-as1-iota-nb325",
                "aws-use1-iota-pano1",
                "aws-usw2-iota-pano2",
                "nbcu-rdp",
                "nb325-mapsor-compute-env",
                "aws-use1-iota-qadep",
                "pulumi-nbcu-ss-pvt-deployment",
            ],
            "pblt": ["aws-use1-iota-pblt1", "bolt"],
            "upgrade": ["aws-as1-iota-qa324", "aws-as1-iota-autqa"],
            "common": ["qa-common", "TR07"],
        },
        "others": {"product": ["aws-use1-iota-ipro7"]},
        "dev": {
            "customisation": ["aws-aps1-iota-custo", "customizaion-team-gamma-resources-migration"],
            "github-runner": ["ieg-github-runner"],
        },
        "ieg-cp": {
            "personal": [
                "aws-as1-iota-mnprs",
                "teleport-iota",
                "jenkins",
                "roshan",
                "ssm-instance-ecr-copy",
                "aws-aps1-iota-conn",
                "aws-aps1-iota-conn3",
                "aws-aps1-iota-pspcp",
                "aws-aps1-iota-aktst",
                "aws-aps1-iota-cpdil",
                "aws-aps1-app-pcp",
                "aws-aps1-data-pcp",
                "aws-aps1-iota-sk101",
                "aws-use1-iota-testkv",
                "aws-as1-iota-pssg",
                "aws-aps1-iota-mrg71",
                "altero"
            ],
            "cpprod": ["picasso-dev"],
            "mapsor": [
                "mapsor-compute-mumbai-compute-env",
                "use1-mapsor-iota-common-mapsor-compute-env",
            ],
            "ieg-coreservices": [
                "auth-demo",
                "controlplane-non-prod",
                "controlplane-prod",
                "aws-aps1-iota-pcp",
                "aws-aps1-roshan-datas",
                "aws-aps1-iota-pcp-ds",
                "aws-aps1-iota-acpas-ds",
                "aws-aps1-iota-acpas",
                "aws-aps1-iota-pcpas",
                "coreservice",
            ],
            "pcp": ["aws-aps1-nprod-pcp", "aws-aps1-nprod-pcpds"],
            "crr": [
                "aws-use1-iota-snlr1",
                "aws-use2-iota-snlr2",
                "aws-aps1-iota-sind1",
                "aws-apse1-iota-sind2",
                "aws-aps1-iota-sind3",
                "aws-apse1-iota-sind4",
                "aws-aps1-iota-data1",
                "aws-aps1-iota-qsind",
                "aws-aps1-iota-sind",
            ],
            "platform-devqa": ["aws-aps1-iota1-sks01", "aws-aps1-iota1-skscp1", "aws-use1-iota-csvna-ds", "iota-csvna", "aws-aps1-iota1-sks01-ds"],
            "observability": ["dr-box-handover", "aws-aps1-iota-akpcp","aws-aps1-iota-akds1"],
            "prod_upgrade": [
                "aws-use1-iota-vnext",
                "aws-use1-iota-vcurr",
                "aws-as1-iota-vcur",
                "aws-aps1-iota-vnext",
                "aws-as1-iota-pseks",
                "aws-use1-iota-csvna",
            ],
            "common": [
                "aws-aps1-iota-cmrds",
                "aws-usw2-iota-cmrds",
                "aws-use1-iota-cmrds",
                "aws-aps1-common",
                "aws-use1-common",
                "aws-usw2-common",
                "aws-use2-common",
                "aws-apse1-common",
                "aws-use1-iota-controlplane-non-prod",
                "aws-aps1-iota-vneds",
                "aws-aps1-iota-red7",
                "deployment-server",
                "vpn_creation",
            ],
            "platform-dashboard": ["platform-dashboard"],
            "skynet": ["skynet"],
            "imagine-dynamic": ["imagine-deployment", "aws-use1-iota-intgn", "aws-use1-iota-intgn-ds"],
            "amgctl":["iota_aps1_kk_amgctl"]
        },
        "ieg-an": {
            "an-cpprod2": [
                "aws-use1-iota-stag1",
                "aws-use1-iota-atest",
                "aws-use1-iota-adevn",
                "ancp-dev-db-stack",
                "aws-use1-iota-amaginow",
            ]
        },
        "ieg-cpvod": {
            "cp-vod": [
                "CP-VoD",
            ]
        },
    },
}
