"""Module providingFunction to plot matlib chart for account cost."""
import matplotlib.pyplot as plt


def plot_piechart(title, data, saved_fname) -> None:
    """This is a docstring which describes the module"""
    labels = list(data.keys())
    values = [department_info["cost"] for department_info in data.values()]
    # print(labels)
    # print(values)
    total_value = sum(values)
    # Set figure size to adjust the label quality
    # plt.figure(figsize=(10, 8))

    plt.figure(figsize=(10, 8))
    plt.pie(
        values,
        labels=labels,
        autopct=lambda pct: f"{pct:.1f}% ({int(total_value * pct / 100)})",
    )

    plt.title(f"{title}")
    plt.axis("equal")

    # # Display the chart
    # plt.show()

    # Save the chart to a file (e.g., PNG format)
    plt.savefig(saved_fname)
    plt.close()  # Close the figure
