import csv
from pathlib import Path
from ieg_cloud_scan.utils.logger import logger


class CsvWriter:

    def store_in_csv(resource):
        ## storing aged volumes details in aged_ebs.csv
        with open("untagged_ebs.csv", "w", newline='') as f:
            wr = csv.writer(f)
            wr.writerow(['Region','Type','Arn','Name'])
            for region in resource.keys():
                if resource[region]!={}:
                    try:
                        if resource[region]['untagged_volumes']!={}:
                            for vol in resource[region]['untagged_volumes'].keys():
                                wr.writerow([region,'Untagged',vol,resource[region]['untagged_volumes'][vol]])
                    except:
                        if resource[region]['wronglytagged_volumes']!={}:
                            for vol in resource[region]['wronglytagged_volumes'].keys():
                                wr.writerow([region,'Wrongly Tagged',vol,resource[region]['wronglytagged_volumes'][vol]])
                                
    def write_dict_to_csv(filename, headers, data):
        if len(data.keys()) == 0:
            return
        with open(filename, "w", newline="") as file:
            writer = csv.DictWriter(file, fieldnames=headers)
            writer.writeheader()
            for header1_value, header2_value in data.items():
                writer.writerow({headers[0]: header1_value, headers[1]: header2_value})

    def write_info_dict_to_csv(service, headers, aws_resource_info):
        path = Path(".") / service
        path.mkdir(parents=True, exist_ok=True)
        if len(aws_resource_info.keys()) == 0:
            return
        for region, category_resources in aws_resource_info.items():
            # the first key is the region
            for category, resources in category_resources.items():
                filename = Path(path) / f"{region}_{category}.csv"
                logger.log(f"Writing csv output file {filename}")
                with open(filename, "w", newline="") as file:
                    writer = csv.DictWriter(file, fieldnames=headers)
                    writer.writeheader()
                    for header1_value, header2_value in resources.items():
                        writer.writerow(
                            {headers[0]: header1_value, headers[1]: header2_value}
                        )
